- Home
- API Enriched
- Support
- operate
- Update USB configuration.
Update USB configuration.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/config';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"config":{"usb_allow_list_enable":true},"namespace":"example","node":"example","site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/vpm/usb/example/config \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "config": { "usb_allow_list_enable": true }, "namespace": "example", "node": "example", "site": "example" }'Update USB configuration on the node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site.
Node Name Name of the node.
Request Bodyrequired
Section titled “Request Bodyrequired”Updates USB configuration.
object
object
Enablement of USB rules list. If enabled, all new connected USB devices must be authorized.
Namespace for which the request is sent (system)
Name of the node.
Name of the site.
Examplegenerated
{ "config": { "usb_allow_list_enable": true }, "namespace": "example", "node": "example", "site": "example"}Responses
Section titled “Responses”A successful response.
Response of Updates USB configuration.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example